
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>如何清除某条SQL在库缓存中的执行计划 / iVAN</title>

    <meta name="description" content="如何清除某条SQL在库缓存中的执行计划 DBA 日常管理过程中会遇到需要把特定的sql语句的执行计划从shared pool 中清除或者需要重新生产新的执行计划的要求.通常的alter system flush shared_pool;或者重新执行信息统计又会造成较大的影响,所以可以使用oracle提供的 dbms_shared_pool.purge 来清除某个特定的sql的执行计划. 下面是关于dbms_shared_pool.purge 的官方介绍: The syntax for the DBMS_SHARED_POOL.PURG">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">如何清除某条SQL在库缓存中的执行计划</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>DBA 日常管理过程中会遇到需要把特定的sql语句的执行计划从shared pool 中清除或者需要重新生产新的执行计划的要求。通常的alter system flush shared_pool;或者重新执行信息统计又会造成较大的影响，所以可以使用oracle提供的<br />
dbms_shared_pool.purge 来清除某个特定的sql的执行计划。</p>
<p>下面是关于dbms_shared_pool.purge 的官方介绍：<br />
The syntax for the DBMS_SHARED_POOL.PURGE package is:<br />
procedure purge (<strong>name varchar2, flag char DEFAULT 'P', heaps number DEFAULT 1</strong>);   </p>
<p><strong>name:</strong> 指定要处理的对象的名称，有两种情况：<br />
1  PL/SQL 对象 就是对象的名称<br />
2  SQL对象，指定 'address','hash_value' 的 SQL 游标。<br /><strong>标记位 flag</strong>是可选的。如果忽略了该参数，则该包默认是包，过程，函数的名称并且忽视名称。否则，该参数就指定一个对象类型。标记位是大小写敏感的。<br />
标记位代表的对象类型：<br />
         Value Kind of Object to keep   <br />
        ----- ----------------------   <br />
            P package/procedure/function   <br />
            Q sequence   <br />
            R trigger   <br />
            T type   <br />
           JS java source   <br />
           JC java class   <br />
           JR java resource   <br />
           JD java shared data   <br />
            C cursor   --游标</p>
<p><strong>  heaps</strong>: heaps to purge. e.g if heap 0 and heap 6 are to be purged.   <br />
         1&lt;&lt;0 | 1&lt;&lt;6 =&gt; hex 0x41 =&gt; decimal 65. so specify heaps=&gt;65.   <br />
         Default is 1 i.e heap 0 which means the whole object will be purged. </p>
<p>实验环境 版本：11.2.0.1.0    dbms_shared_pool.purge 只能通过dba才能使用<br />oracle@rac1:rac1 /home/oracle&gt;sqlplus  yang/yang<br />
SQL*Plus: Release 11.2.0.1.0 Production on Fri Jul 8 15:32:43 2011</p>
<p>yang@rac1&gt;create table yangtab (id int) ;<br />
Table created.<br />yang@rac1&gt;select * from yangtab;<br />
no rows selected<br />yang@rac1&gt;select address,hash_value,executions,parse_calls<br />
  2  from v$sql where sql_text like 'select * from yangtab%';<br />
ADDRESS          HASH_VALUE EXECUTIONS PARSE_CALLS<br />
---------------- ---------- ---------- -----------<br />
00000001736EFBB8 3337951036          1           1</p>
<p>yang@rac1&gt;exec dbms_shared_pool.purge('00000001736EFBB8,3337951036','C');<br />
BEGIN dbms_shared_pool.purge('00000001736EFBB8,3337951036','C'); END;</p>
<p>      *<br />
ERROR at line 1:<br />
ORA-06550: line 1, column 7:<br />
PLS-00201: identifier 'DBMS_SHARED_POOL.PURGE' must be declared<br />
ORA-06550: line 1, column 7:<br />
PL/SQL: Statement ignored</p>
<p>yang@rac1&gt;conn /as sysdba<br />
Connected.<br />sys@rac1&gt;create table yangt (id int);<br />
Table created.<br />sys@rac1&gt;select * from yangt;<br />
no rows selected<br />sys@rac1&gt;select address,hash_value,executions,parse_calls<br />
  2  from v$sql where sql_text like 'select * from yangt%';</p>
<p>ADDRESS          HASH_VALUE EXECUTIONS PARSE_CALLS<br />
---------------- ---------- ---------- -----------<br />
00000001736EFBB8 3337951036          1           1 -- 使用普通用户时生成的。<br />
0000000170D9BA50 2693392179          1           1<br /><strong>使用dbms_shared_pool.purge 删除第一个sql的游标。<br /></strong>sys@rac1&gt; exec <strong>dbms_shared_pool.purge('00000001736EFBB8,3337951036','C');<br /></strong>PL/SQL procedure successfully completed.</p>
<p>sys@rac1&gt;select address,hash_value,executions,parse_calls<br />
  2  from v$sql where sql_text like 'select * from yangt%';<br />
  <br />
ADDRESS          HASH_VALUE EXECUTIONS PARSE_CALLS<br />
---------------- ---------- ---------- -----------<br />
0000000170D9BA50 2693392179          1           1</p>
<p>sys@rac1&gt;exec dbms_shared_pool.purge('0000000170D9BA50,2693392179','C');<br />
PL/SQL procedure successfully completed.</p>
<p>sys@rac1&gt;select address,hash_value,executions,parse_calls<br />
  2 from v$sql where sql_text like 'select * from yangt%'<br />
no rows selected</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 15:24:36</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>如何清除某条SQL在库缓存中的执行计划的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPZLG8b.html" rel="bookmark">浅析SQL Server中的执行计划缓存（下）&lowbar;MsSql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在上篇文章给大家介绍了SQL Server中的执行计划缓存(上),本文继续给大家介绍sqlserver执行计划缓存相关知识,小伙伴们一起学习吧. 简介 在上篇文章中我们谈到了查询优化器和执行计划缓存的关系,以及其二者之间的冲突.本篇文章中,我们会主要阐述执行计划缓存常见的问题以及一些解决办法. 将执行缓存考虑在内时的流程 上篇文章中提到了查询优化器解析语句的过程,当将计划缓存考虑在内时,首先需要查看计划缓存中是否已经有语句的缓存,如果没有,才会执行编译过程,如果存在则直接利用编译好的执行计划.因			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2VB1ob.html" rel="bookmark">浅析SQL Server中的执行计划缓存&lpar;上&rpar;&lowbar;MsSql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				简介 我们平时所写的SQL语句本质只是获取数据的逻辑,而不是获取数据的物理路径.当我们写的SQL语句传到SQL Server的时候,查询分析器会将语句依次进行解析(Parse).绑定(Bind).查询优化(Optimization,有时候也被称为简化).执行(Execution).除去执行步骤外,前三个步骤之后就生成了执行计划,也就是SQL Server按照该计划获取物理数据方式,最后执行步骤按照执行计划执行查询从而获得结果.但查询优化器不是本篇的重点,本篇文章主要讲述查询优化器在生成执行计划之			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQBX88M.html" rel="bookmark">RDS SQL Server - 专题分享 - 巧用执行计划缓存之Single-used plans</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				背景引入 执行计划缓存是SQL Server内存管理中非常重要的特性,这篇系列文章我们探讨执行计划缓存设计中遇到的single-used plans问题,以及如何发现.如何定性和定量分析single-used plans带来的影响,最后我们使用两种方法来解决这个问题. 什么是Single-used Plans 要解释清楚什么是Single-used Plans,首先需要解释SQL语句执行计划缓存是什么?SQL Server执行每一条SQL语句之前,会从执行计划缓存内存中查看是否存在本条语句的执行			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ba72Nwp.html" rel="bookmark">谈一谈SQL Server中的执行计划缓存（下）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:谈一谈SQL Server中的执行计划缓存(下) 简介     在上篇文章中我们谈到了查询优化器和执行计划缓存的关系,以及其二者之间的冲突.本篇文章中,我们会主要阐述执行计划缓存常见的问题以及一些解决办法.   将执行缓存考虑在内时的流程     上篇文章中提到了查询优化器解析语句的过程,当将计划缓存考虑在内时,首先需要查看计划缓存中是否已经有语句的缓存,如果没有,才会执行编译过程,如果存在则直接利用编译好的执行计划.因此,完整的过程如图1所示. 图1.将计划缓存考虑在内的过程      			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pX0B6lp.html" rel="bookmark">谈一谈SQL Server中的执行计划缓存（上）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:谈一谈SQL Server中的执行计划缓存(上) 简介     我们平时所写的SQL语句本质只是获取数据的逻辑,而不是获取数据的物理路径.当我们写的SQL语句传到SQL Server的时候,查询分析器会将语句依次进行解析(Parse).绑定(Bind).查询优化(Optimization,有时候也被称为简化).执行(Execution).除去执行步骤外,前三个步骤之后就生成了执行计划,也就是SQL Server按照该计划获取物理数据方式,最后执行步骤按照执行计划执行查询从而获得结果.但查询			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQL6j0z.html" rel="bookmark">浅析SQL Server中的执行计划缓存（下）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在上篇文章给大家介绍了SQL Server中的执行计划缓存(上),本文继续给大家介绍sqlserver执行计划缓存相关知识,小伙伴们一起学习吧. 简介 在上篇文章中我们谈到了查询优化器和执行计划缓存的关系,以及其二者之间的冲突.本篇文章中,我们会主要阐述执行计划缓存常见的问题以及一些解决办法. 将执行缓存考虑在内时的流程 上篇文章中提到了查询优化器解析语句的过程,当将计划缓存考虑在内时,首先需要查看计划缓存中是否已经有语句的缓存,如果没有,才会执行编译过程,如果存在则直接利用编译好的执行计划.因			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGQYr2M.html" rel="bookmark">浅析SQL Server中的执行计划缓存&lpar;上&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				简介 我们平时所写的SQL语句本质只是获取数据的逻辑,而不是获取数据的物理路径.当我们写的SQL语句传到SQL Server的时候,查询分析器会将语句依次进行解析(Parse).绑定(Bind).查询优化(Optimization,有时候也被称为简化).执行(Execution).除去执行步骤外,前三个步骤之后就生成了执行计划,也就是SQL Server按照该计划获取物理数据方式,最后执行步骤按照执行计划执行查询从而获得结果.但查询优化器不是本篇的重点,本篇文章主要讲述查询优化器在生成执行计划之			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrWoqjp.html" rel="bookmark">RDS SQL Server - 专题分享 - 巧用执行计划缓存之索引缺失</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				title: RDS SQL Server - 专题分享 - 巧用执行计划缓存之索引缺失 author: 风移 摘要 执行计划缓存是MSSQL Server内存管理十分重要的部分,同样如何巧用执行计划缓存来解决我们平时遇到的一系列问题也是一个值得深入研究的专题.这篇文章是如何巧用执行计划缓存的开篇,分享如何使用执行计划缓存来分析索引缺失(Missing Indexes). 问题引入 缺失索引是SQL Server CPU使用率居高不下的第一大杀手,也是SQL Server数据库非常大的潜在风险点			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zeRYvwb.html" rel="bookmark">RDS SQL Server - 专题分享 - 巧用执行计划缓存之Key Lookup</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				背景引入 执行计划缓存是SQL Server内存管理中非常重要的特性,这篇文章是巧用执行计划缓存系列文章之四,探讨什么是Key Lookup操作,如何从执行计划缓存中发现Key Lookup问题,以及如何解决这个问题. 什么是Key Lookup Key Lookup操作是指执行计划通过表的索引查找字段列的书签查找方式.Key Lookup发生在当查询语句使用Index Seek(或者Index Scan)的同时,又需要查找Index中没有完全包含的额外字段列,这时SQL Server必须回过头			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4agNb.html" rel="bookmark" class="title">Photoshop绘制超酷的黑暗光影迷幻特效</a>
					<div>
						1.创建一个新文件大小800px * 1080px,背景用暗灰色,新建一个图层画上一个圆 2.新建一个图层,使用套索工具,羽化30,画一个选区,设置前景色为暗紫色,然后填充,滤镜-渲染-分层云彩,图层 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjNPmb.html" rel="bookmark" class="title">Flash 8 渐变控制与溢出</a>
					<div>
						渐变|控制 作者:薛欣 一.Flash的渐变控制 Flash的渐变控制终于到了不变不行的地步了.不知道Macromedia出于什么考虑,之前用来修改填充变形的手柄全都用简单的&quot;方块&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp83QNM.html" rel="bookmark" class="title">ASP&period;NET如何防范SQL注入攻击</a>
					<div>
						asp.net|sql|sql注入|注入|攻击 一.什么是SQL注入式攻击? 所谓SQL注入式攻击,就是攻击者把SQL命令插入到Web表单的输入域或页面请求的查询字符串,欺骗服务器执行恶意的SQL命令 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7RjmM.html" rel="bookmark" class="title">如何求数字在排序数组中出现的次数</a>
					<div>
						题目: 统计一个数字在排序数组中出现的次数. 通过折半查找, 找到首次出现的位置, 再找到末次出现的位置, 相减即可. 时间复杂度O(logn). 代码: /* * main.cpp * * Crea ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKDk1M.html" rel="bookmark" class="title">PS制作艺术画框教程</a>
					<div>
						相框教程,PS制作艺术画框教程 最终效果图 1.打开一张要做边框的图片,用矩形选框工具,画一个比图片小点的选区.如图(1): 图(1)   2.按Q键进入快速蒙版,如图(2),执行滤镜--像素化--色 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd7VJ6M.html" rel="bookmark" class="title">WPS文字中给段落添加波浪线边框的方法</a>
					<div>
						  WPS文字中给段落添加波浪线边框的方法 1.打开WPS文档,选中要添加边框的段落,然后切换至&quot;开始&quot;选项卡,单击&quot;边框&quot;按钮,选择&quot;边框和底纹&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj769nM.html" rel="bookmark" class="title">在Word2010中设置公式水平对齐方式</a>
					<div>
						在Word2010文档中,公式属于嵌入式对象,因此不能像文本框.图片等对象一样设置为非嵌入式文字环绕方式后在文档中自由移动.用户只能在水平方向上设置公式左对齐.居中.右对齐,具体设置方法为: 单击Wo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Nedgz.html" rel="bookmark" class="title">excel随机小数</a>
					<div>
						一.RANDBETWEEN生成随机小数 公式代码如下: =0.1*RANDBETWEEN(400,1000) 技巧分析,RANDBETWEEN(400,1000)可生成从400到1000之间的任何一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLaBaWz.html" rel="bookmark" class="title">Win7无法安装字体怎么办</a>
					<div>
						  Win7无法安装字体的解决方法. 解决方法如下: 1.在&quot;计算机&quot;图标上双击打开,然后点击上方的&quot;工具--文件夹选项&quot;. 2.在打开的文件夹选项中勾选&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MArOrQp.html" rel="bookmark" class="title">风报：让机器看懂企业情报</a>
					<div>
						 在8月13日的云栖TechDay创投专场上,玻森数据CTO闵可锐为我们带来了一场别开生面的讲座,他主要介绍了人工智能在实际产品中的运用以及其背后隐藏的技术--自然语言的处理. 以下是现场分享观点整理 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDWk7Kp.html" rel="bookmark" class="title">关于颜色理论</a>
					<div>
						制作网页的过程中,我一直不知道应该如何配色. 我的意思是,我不知道应该选择哪些颜色放在一起,完全凭感觉.于是昨天,我在网上找了一些资料,希望找到理论指导. 结果很失望.颜色理论研究的都是颜色的本质,至 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4NYrLM.html" rel="bookmark" class="title">作价 129 亿日元，东芝电视业务被来自中国的海信电器拿下了</a>
					<div>
						继联想拿下富士通的 PC 业务之后,又有一家日本企业的重要业务被中国公司吞并了. 11 月 14 日,海信集团宣布,旗下的上市公司海信电器股份有限公司与东芝株式会社正式达成协议:东芝将旗下映像解决方案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAkYkM.html" rel="bookmark" class="title">问一个解析文件格式的正则表达式</a>
					<div>
						问题描述 请问各位,如何能将下面内容通过正则表达:[Items]1,12,23,34,4[Config]sql=select*from[test] 解析后得到[Items]1,12,23,34,4和[ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8A2ANz.html" rel="bookmark" class="title">ECMAScript中的真值和假值</a>
					<div>
						ECMAScript中的真值和假值 看了下很多书上和网上文章中介绍ECMAScript中的布尔值,都是干巴巴地一句话:如果值是null, undefined, 0, 空字符串和false,则值为fal ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY5NRxM.html" rel="bookmark" class="title">【Oracle】Oracle常用EVENT之一</a>
					<div>
						Event 10013 - Monitor Transaction Recovery 在Startup时跟踪事务恢复 ALTER SESSION SET EVENTS '10013 trace nam ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40Yn8z.html" rel="bookmark" class="title">Android 应用中十大导航设计错误</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 [核心提示] 这一次,我们就设计错误的话题展开,指出一些大家在安卓开发领域设计应用导航时经常被犯下的错误以便更好的避免他们. 大家好,这里是 2014  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Z5voM.html" rel="bookmark" class="title">知乎：中国互联网的十一种盈利模式</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 盈利模式一:在线广告 最主要最常见的网络在线盈利模式,国内比较好的是各大门户网站(新浪,搜狐等),也包括行业门户,而且大多数个人网站的盈利模式也是这样, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmKyaqb.html" rel="bookmark" class="title">SQL Server 2005与sql 2000之间的数据转换方法&lowbar;mssql2005</a>
					<div>
						2005不论是性能还是安全性都是SQL SERVER2000有所增强,现有不少企业在使用2005,或是有的用户是2000与2005同时使用,那么这中间就涉及到双数据的转换问题: 今天我们就来看一下相关 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40mvPz.html" rel="bookmark" class="title">VMware 虚拟机安装 Mac OS X Mountain Lion 苹果系统</a>
					<div>
						原文地址:http://www.ychong.com/mac-os-x-mountain-lion-vmware-workstation/ 苹果桌面操作系统 Mac OS X Mountain Lio ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKYKqb.html" rel="bookmark" class="title">C&num;，你是何方神圣？</a>
					<div>
						问题描述 我是C#新手,刚刚开始学习这门语言.当我信心十足的准备开始学习的时候听说C#只能做做web开发,别的做不了请前辈们赐教,C#难道就此功能而已吗?微软对它的解释说是c/c++的精华版java的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKY6g7p.html" rel="bookmark" class="title">web&period;xml-springmvc拦截器静态资源配置问题</a>
					<div>
						问题描述 springmvc拦截器静态资源配置问题 请问在web.xml配置静态资源的时候允不允许这样子的,我发现有的项目这样子是可以的,但是有些又是不幸的 default/resources/* 上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWWaGXM.html" rel="bookmark" class="title">P2P网贷行业竞争迅速进入白热化&comma;抢红包拉开新年获客大战</a>
					<div>
						去年的爆发式增长使得中国P2P网贷行业竞争迅速进入白热化,行业洗牌加速进行.羊年伊始,为了在&quot;洗牌年&quot;抢占先机,不少平台使出浑身解数,通过促销活动来刺激用户依然是首选.在花样繁多的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmV6g1z.html" rel="bookmark" class="title">《IPv6技术精要》一1&period;4 IPv6的历史</a>
					<div>
						1.4 IPv6的历史 IPv6技术精要 IETF(Internet Engineering Task Force,互联网工程任务组)自1990年代早期就开始研究制定IPv4的后续版本,并于1994年 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjo2AdM.html" rel="bookmark" class="title">掌趣科技张沛：移动网游将出现爆发式增长</a>
					<div>
						中国经济网北京12月10日讯(记者 张翔)第七届北京文博会第六届动漫游戏产业发展国际论坛今天上午在北京国际饭店举行.北京掌趣科技(300315,股吧)股份有限公司副总裁张沛在论坛上表示,手机网络游戏是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLBd65b.html" rel="bookmark" class="title">培训2：一个月迅速打造1000ip</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 春节前30天冲刺:免费网站建设培训 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYd9yxb.html" rel="bookmark" class="title">李开复：手机价位能降到700元可增多近1倍用户</a>
					<div>
						■李开复(微博) 40%的手机是1000元以上,而70%的手机是700元以上,因此, 能把价位降到700元,可以增多近一倍用户!今年是否能下探700元,并增加一倍潜在用户?--创新工场董事长 网友评论 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrvQa1M.html" rel="bookmark" class="title">Mysql 批量insert 性能测试</a>
					<div>
						批量执行insert时,有多种执行方式: 1.循环单条执行,类似: for(){ insert(sql); } 2.合并为一个事务执行(注:Mysql默认事务是自动提交的,需关闭事务自动提交),类似: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zG1v13M.html" rel="bookmark" class="title">MapReduce－深度剖析</a>
					<div>
						1.概述 在接触了第一代MapReduce和第二代MapReduce之后,或许会有这样的疑惑,我们从一些书籍和博客当中获取MapReduce的一 些原理和算法,在第一代当中会有JobTrack,Tas ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYdnnBb.html" rel="bookmark" class="title">之于5G&mdash;&mdash;浅谈SDN和NFV</a>
					<div>
						在我刚开始了解5G核心网架构的时候,我注意到软件定义网络(SDN)和网络功能虚拟化(NFV)作为两种新兴技术被多次提及.然而,对于SDN和NFV技术在5G中扮演着的重要角色,很多文献在这方面仅仅一笔带 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ3jq8b.html" rel="bookmark" class="title">通过JS动态创建一个html DOM元素并显示&lowbar;javascript技巧</a>
					<div>
						近日,因工作需要,需要通过点击某个元素后, 动态创建一个DOM元素并显示,因此写了一些相关的JS函数,在此记录,以作备忘: /**//* 动态创建DOM元素的相关函数支持 www.jcodecraee ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
